Skip to main content
`Ctrl`+`K`

# MatCompositeGetMat

Returns the ith matrix from the composite matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatCompositeGetMat(Mat mat, PetscInt i, Mat *Ai)

Logically Collective

## Input Parameters

- mat - the composite matrix

- i - the number of requested matrix

## Output Parameter

- Ai - ith matrix in composite

## See Also

Matrices, `Mat`, `MatCreateComposite()`, `MatCompositeGetNumberMat()`, `MatCompositeAddMat()`, `MATCOMPOSITE`

## Level

advanced

## Location

src/mat/impls/composite/mcomposite.c

## Examples

src/mat/tutorials/ex9.c

## Implementations

MatCompositeGetMat_Composite() in src/mat/impls/composite/mcomposite.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages